#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Odds2_ProfitData
{
	//盈利(10000)
	int mProfit;
	//RAND区间的下限(10000)
	int mRandLower;
	//RAND区间的上限(10000)
	int mRandUpper;
};

class Odds2_Profit
{
public:
private:
	static std::auto_ptr<Odds2_Profit> msSingleton;
public:
	int GetCount();
	const Odds2_ProfitData* GetData(int Profit);
	boost::unordered_map<int, Odds2_ProfitData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Odds2_Profit* GetSingleton();
private:
	boost::unordered_map<int, Odds2_ProfitData> mMapData;
};
